const formulario = document.getElementById("servicios_form");
$("form#servicios_form").submit(function (e) {
    e.preventDefault();
    MostrarLoader();

    const formData = new FormData(this);
    $.ajax({
        url: "/admin/createcuenta",
        type: "POST",
        data: formData,
        success: function (data) {
            if (data.status == "ok") {
                toastr.success(data.message);
                document.getElementById("id_ncuenta").value = 0;
                document.getElementById("btn_Modifica").style.display = "none";
                document.getElementById("btn_Grabar").style.display = "";
                formulario.reset();
            } else {
                toastr.error(data.message);
            }
            setTimeout(function () {
                OcultarLoader();
            }, 100);

        },
        cache: false,
        contentType: false,
        processData: false,
    });
});

const Limpiar = () => {
    document.getElementById("id_ncuenta").value = 0;
    document.getElementById("btn_Modifica").style.display = "none";
    document.getElementById("btn_Grabar").style.display = "";
    formulario.reset();
}


$(function () {

    CambiarBotonGuardar();

    $('.toastrDefaultSuccess').click(function () {
        $("#servicios_form").submit();
    });
    $('.toastrDefaultInfo').click(function () {
        toastr.info('Lorem ipsum dolor sit amet, consetetur sadipscing elitr.')
    });
    $('.toastrDefaultError').click(function () {
        toastr.error('Lorem ipsum dolor sit amet, consetetur sadipscing elitr.')
    });
    $('.toastrDefaultWarning').click(function () {
        toastr.warning('Lorem ipsum dolor sit amet, consetetur sadipscing elitr.')
    });

    const csrfToken = document.head.querySelector("[name~=csrf-token][content]").content;



    function cargarBusqueda() {
        $('#tblBuscarItems').DataTable({
            "processing": true,
            "serverSide": true,
            "responsive": true,
            "lengthChange": false,
            "autoWidth": false,
            "select": true,
            "ajax": {
                'url': 'listarCuentas', 'headers': {
                    'Content-Type': 'application/json',
                    "X-CSRF-Token": csrfToken
                }
            },
            "columns": [
                { data: 'id' },
                { data: 'cuenta' },
                { data: 'nombre' },
                { data: 'codigocliente' },
                { data: 'tipocuenta' },
                { data: 'descripcion' },
                { data: 'id_banco_fk' },
                { data: 'estado' },
            ],
            "language": {
                "lengthMenu": "Mostrar _MENU_ registros por página",
                "zeroRecords": "No se encontró nada - lo siento",
                "info": "Mostrando la página _PAGE_ de _PAGES_",
                "infoEmpty": "No hay registros disponibles",
                "infoFiltered": "(filtrado de _MAX_ registros totales)",
                "search": "Buscar :",
                "paginate": {
                    "previous": "Anterior",
                    "next": "siguiente"
                }
            },
        }).buttons().container().appendTo('#tblBuscarItems_wrapper .col-md-6:eq(0)');

        var table = $('#tblBuscarItems').DataTable();
        $('#tblBuscarItems tbody').on('click', 'tr', function () {
            var row = table.row(this).data();
            CargarDatosSelect(row);

        });
    }
    cargarBusqueda();
    //   cargarBusqueda();
    $('#busquedaVeh').on('click', function () {
        // cargarBusqueda();
        var table = $('#tblBuscarItems').DataTable();
        table.ajax.reload();
        $("#modal-xl").modal('show');
    });

    function CargarDatosSelect(item) {
        $("#modal-xl").modal('hide');
        document.getElementById("id_ncuenta").value = item.id;
        document.getElementById("ncuenta").value = item.cuenta;
        document.getElementById("nombre").value = item.nombre;
        document.getElementById("ccliente").value = item.codigocliente;
        $("#tcuenta").val(item.tipocuenta).change();
        $("#estado").val(item.estado).change();
        $("#idbanco").val(item.id_banco_fk).change();
        CambiarBotonGuardar();
    }

    function CambiarBotonGuardar() {
        var systemON = document.getElementById("id_ncuenta").value;

        if (systemON > '0') {
            //document.querySelector(`#grupo__accion .button-hidden`).classList.add(".button-visible");
            document.getElementById("btn_Grabar").style.display = "none";
            document.getElementById("btn_Modifica").style.display = "";
        } else {
            //document.querySelector(`#grupo__usuario .button-hidden`).classList.add("formulario__input-error-activo");
            document.getElementById("btn_Modifica").style.display = "none";
            document.getElementById("btn_Grabar").style.display = "";
        }
    }



})